Skip to main content
POST
/
v1
/
completions
Create completion
curl --request POST \
  --url https://api.tideblaze.com/v1/completions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "blaze-1-heavy",
  "prompt": "<string>",
  "temperature": 123,
  "max_tokens": 123,
  "stream": false
}
'
{
  "id": "<string>",
  "object": "text_completion",
  "created": 123,
  "model": "<string>",
  "choices": [
    {
      "text": "<string>",
      "index": 123,
      "finish_reason": "<string>"
    }
  ],
  "usage": {
    "prompt_tokens": 123,
    "completion_tokens": 123,
    "total_tokens": 123
  }
}
This endpoint is non-streaming in the mock API. Sending stream=true returns 400.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
enum<string>
required
Available options:
blaze-1-heavy,
blaze-1-standard,
blaze-1-lite
prompt
string
required
temperature
number | null
max_tokens
integer | null
stream
boolean
default:false

Response

Completion result

id
string
required
object
enum<string>
required
Available options:
text_completion
created
integer
required
model
string
required
choices
object[]
required
usage
object
required